Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 18 Dec 2014, 23:20
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
sflphone
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [5 Posts]  
Author Message
uros09

Joined: 20 May 2013
Posts: 2

PostPosted: Mon 20 May 2013, 05:47    Post subject:  sflphone
Subject description: softphone sflphone version 1.2
 

Hello,

I just downloaded and installed puppy roaring 3.8.7 and tried to install

program 'sflphone-client-gnome' from roaring repository. It has instlled

but unfortunately with version 1.1 and I really need 1.2 (has auto answer

enabled and is available from Linux Mint 14 repository or by adding extra

repository from maintainer). I also noticed

there is an error when I try to run it so I can't even dial. There are no dial

numbers because of this error. Other sofpthones sucks (ekiga, linphone

...). This sflphone is the best.

So can we make it to be in runable state in roaring puppy and somehow

add its 1.2 version ?

Regards,
Uros
Back to top
View user's profile Send private message 
DPUP5520

Joined: 16 Feb 2011
Posts: 802

PostPosted: Mon 20 May 2013, 11:38    Post subject:  

Never heard of sflphone but most SIP clients don't really work all that well in Puppy, I've had good success with Twinkle (though I don't believe it's maintained anymore) and some sucess with Linphone which I belive is pretty nice. However, the main SIP client/softphone used on Puppy is PSIP (Puppy SIP client) which I don't know if it's in Upup Raring by default like most other Puppys since I haven't tried it out yet.
_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
OscarTalks

Joined: 05 Feb 2012
Posts: 934
Location: London, England

PostPosted: Mon 20 May 2013, 22:18    Post subject:  

Upup Raring does have PSIP Puppy Phone.
The core of SFLphone is pjsip/pjsua which is the same as PSIP.

The GUI of SFLphone is designed for Gnome (or KDE) and is not ideal for Puppy. We don't have Gnome Icon Theme and there will be lots of dependencies and other headaches.

I installed it from PPM in Raring with all the dependencies and it did run and I could make calls, but there were a few problems. It stored some settings but not my SIP account data. On re-start that was gone. There is no video enabled.

I have managed to compile the latest version (1.2.2) from source in Precise Puppy but still not with video enabled (that needs more stuff tracking down) and it still has the same problems of settings not saved and icons missing. The package with everything included would be very big and it makes no sense.

If the AUTO ANSWER facility is important to you I believe it may be possible to simply add a line to the config file or the launcher script of PSIP to activate this. From the command line in pjsip it is just --auto-answer=200, but will investigate and report back unless someone knows for sure how to do it.

_________________
Oscar in England

Back to top
View user's profile Send private message 
OscarTalks

Joined: 05 Feb 2012
Posts: 934
Location: London, England

PostPosted: Tue 21 May 2013, 23:38    Post subject:  

I have compiled version 1.2.2 from source now and have managed to get video enabled. I have also included OPUS codec and ilbc codec and g729 codec. If you want to take a look and don't mind installing all the dependencies then here is what to do.

This is for Precise Puppy. Sorry but it doesn't work in Raring (which is still a very experimental Puppy anyway).

Using PPM with "find" - "examine dependencies" - "download and install":-

1) Install sflphone-gnome with all the dependencies
(This will be the earlier version, don't bother running it)

2) Install libclutter with all dependencies

3) Install libclutter-gtk

4) Install gnome-icon-theme with all dependencies

Then install this .PET which upgrades to Version 1.2.2 with the new features and auto-answer (which I did test and it worked).

SFLphone 1.2.2 precise .pet
download = http://www1.datafilehost.com/d/1bb30410
md5sum = 5499db2c2d964d2d7adae12eacebbf66

Test it out and report any findings.
I might try and do one for Raring later if you are desperate.

_________________
Oscar in England

Back to top
View user's profile Send private message 
uros09

Joined: 20 May 2013
Posts: 2

PostPosted: Thu 30 May 2013, 09:34    Post subject:  

Thanks I will try that.

Regards,
Uros
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [5 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0549s ][ Queries: 12 (0.0051s) ][ GZIP on ]